org.vishia.gral.awt

## Class AwtWidgetHelper

- java.lang.Object
- - org.vishia.gral.awt.AwtWidgetHelper

-     public class AwtWidgetHelper
      extends java.lang.Object

  The static methods of this class are called in some situations, where same functionality is need in some classes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AwtWidgetMng` | `mng`
    `protected java.awt.Component` | `widga`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AwtWidgetHelper(java.awt.Component widga, AwtWidgetMng mng)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GralColor` | `getColor(java.awt.Color awtColor)`
    `GralRectangle` | `getPixelPositionSize()`
    `static GralRectangle` | `getPixelPositionSize(java.awt.Component widga)`
    `void` | `removeWidgetImplementation()`
    `static GralColor` | `setBackgroundColor(GralColor color, java.awt.Component awtWidget)`
    `void` | `setBoundsPixel(int x, int y, int dx, int dy)`
    `boolean` | `setFocusGThread()`
    `(package private) static boolean` | `setFocusOfTabSwt(java.awt.Component control)` Sets the correct TabItem if any widget at this TabItem is focused.
    `static GralColor` | `setForegroundColor(GralColor color, java.awt.Component awtWidget)`
    `void` | `setVisibleGThread(boolean bVisible)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mng

          protected AwtWidgetMng mng

    - #### widga

          protected java.awt.Component widga

  - ### Constructor Detail

    - #### AwtWidgetHelper

          protected AwtWidgetHelper(java.awt.Component widga,
                                    AwtWidgetMng mng)

  - ### Method Detail

    - #### setBoundsPixel

          public void setBoundsPixel(int x,
                                     int y,
                                     int dx,
                                     int dy)

    - #### getPixelPositionSize

          public GralRectangle getPixelPositionSize()

    - #### getPixelPositionSize

          public static GralRectangle getPixelPositionSize(java.awt.Component widga)

    - #### getColor

          public static GralColor getColor(java.awt.Color awtColor)

    - #### setBackgroundColor

          public static GralColor setBackgroundColor(GralColor color,
                                                     java.awt.Component awtWidget)

    - #### setForegroundColor

          public static GralColor setForegroundColor(GralColor color,
                                                     java.awt.Component awtWidget)

    - #### setFocusOfTabSwt

          static boolean setFocusOfTabSwt(java.awt.Component control)

      Sets the correct TabItem if any widget at this TabItem is focused. That is not done by swt graphic on Control.setFocus().
      Parameters:
        `control` -

    - #### setFocusGThread

          public boolean setFocusGThread()

    - #### setVisibleGThread

          public void setVisibleGThread(boolean bVisible)

    - #### removeWidgetImplementation

          public void removeWidgetImplementation()